"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.toLowerCase = exports.toUpperCase = exports.camelToKebab = exports.kebabToCamel = void 0;

// 短横线 -> 驼峰
var kebabToCamel = function kebabToCamel(str) {
  return str.replace(/\-[a-z]/g, function (token) {
    return token[1].toUpperCase();
  });
}; // 驼峰 -> 短横线


exports.kebabToCamel = kebabToCamel;

var camelToKebab = function camelToKebab(str) {
  return str.replace(/[A-Z]/g, function (token) {
    return '-' + token.toLowerCase();
  });
};

exports.camelToKebab = camelToKebab;

var toUpperCase = function toUpperCase(str) {
  return str.toUpperCase();
};

exports.toUpperCase = toUpperCase;

var toLowerCase = function toLowerCase(str) {
  return str.toLowerCase();
};

exports.toLowerCase = toLowerCase;